Block Patterns
Schema
The schema defines all the fields that exist within a block pattern record. Any response from these endpoints can be expected to contain the fields below unless the `_filter` query parameter is used or the schema field only appears in a specific context.
name |
The pattern name.
JSON data type: string Read only Context: |
title |
The pattern title, in human readable format.
JSON data type: string Read only Context: |
content |
The pattern content.
JSON data type: string Read only Context: |
description |
The pattern detailed description.
JSON data type: string Read only Context: |
viewport_width |
The pattern viewport width for inserter preview.
JSON data type: number Read only Context: |
inserter |
Determines whether the pattern is visible in inserter.
JSON data type: boolean Read only Context: |
categories |
The pattern category slugs.
JSON data type: array Read only Context: |
keywords |
The pattern keywords.
JSON data type: array Read only Context: |
block_types |
Block types that the pattern is intended to be used with.
JSON data type: array Read only Context: |
post_types |
An array of post types that the pattern is restricted to be used with.
JSON data type: array Read only Context: |
template_types |
An array of template types where the pattern fits.
JSON data type: array Read only Context: |
source |
Where the pattern comes from e.g. core
JSON data type: string Read only Context: One of: |
Retrieve a Block Pattern
Definition & Example Request
GET /wp/v2/block-patterns/patterns
Query this endpoint to retrieve a specific block pattern record.
$ curl https://example.com/wp-json/wp/v2/block-patterns/patterns
There are no arguments for this endpoint.
谢谢你的反馈!